Upgrading ES and logstash


#1

Hi,
I am new to Logstash and ES, and I have to update Logstash and ES for my company. I downloaded the newest version and I get this error.

{:timestamp=>"2018-05-07T14:08:55.874000-0400", :message=>"Attempted to send a bulk request to Elasticsearch configured at '[\"http://localhost:9400\"]', 
but an error occurred and it failed! Are you sure you can reach elasticsearch from this machine using the configuration provided?", 
:error_message=>"[406] {\"error\":\"Content-Type header [text/plain; charset=ISO-8859-1] is not supported\",\"status\":406}", 
:error_class=>"Elasticsearch::Transport::Transport::Errors::NotAcceptable", 
:backtrace=>["C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/elasticsearch-transport-1.0.18/lib/elasticsearch/transport/transport/base.rb:201:in `__raise_transport_error'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/elasticsearch-transport-1.0.18/lib/elasticsearch/transport/transport/base.rb:312:in `perform_request'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/elasticsearch-transport-1.0.18/lib/elasticsearch/transport/transport/http/manticore.rb:67:in `perform_request'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/elasticsearch-transport-1.0.18/lib/elasticsearch/transport/client.rb:128:in `perform_request'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/elasticsearch-api-1.0.18/lib/elasticsearch/api/actions/bulk.rb:90:in `bulk'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/http_client.rb:53:in `non_threadsafe_bulk'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/http_client.rb:38:in `bulk'", 
"org/jruby/ext/thread/Mutex.java:149:in `synchronize'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/http_client.rb:38:in `bulk'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/common.rb:172:in `safe_bulk'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/common.rb:101:in `submit'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/common.rb:86:in `retrying_submit'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/common.rb:29:in `multi_receive'", 
"org/jruby/RubyArray.java:1653:in `each_slice'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-output-elasticsearch-2.7.1-java/lib/logstash/outputs/elasticsearch/common.rb:28:in `multi_receive'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/output_delegator.rb:130:in `worker_multi_receive'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/output_delegator.rb:114:in `multi_receive'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:301:in `output_batch'", "org/jruby/RubyHash.java:1342:in `each'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:301:in `output_batch'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:232:in `worker_loop'", 
"C:/cmoc/bin/logstash/2.3.4/vendor/bundle/jruby/1.9/gems/logstash-core-2.3.4-java/lib/logstash/pipeline.rb:201:in `start_workers'"], :level=>:error}

(system) #2

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.